using System;
using System.Collections.Generic;
using System.Text;
using Vevo.UrlModuleLib.Configuration;

namespace Vevo.UrlModuleLib
{
    public partial class UrlProcessor
    {
        private static UrlProcessor _instance = new UrlProcessor();


        public static UrlProcessor Create( string applicationPath, string mobileApplicationPath, UrlConfiguration config )
        {
            _instance.SetUp( applicationPath, mobileApplicationPath, config );
            return _instance;
        }

        public virtual void SetUp( string applicationPath, string mobileApplicationPath, UrlConfiguration config )
        {
        }

        public virtual string ProcessIncomingUrl( string originalPath, string originalQueryString, bool isMobile, out string data )
        {
            data = String.Empty;
            return String.Empty;
        }

        public virtual string ResolveOutgoingCategoryUrl( string categoryID, string categoryName )
        {
            return String.Empty;
        }

        public virtual string ResolveOutgoingDepartmentUrl( string departmentID, string departmentUrlName )
        {
            return String.Empty;
        }

        public virtual string ResolveOutgoingManufacturerUrl( string manufacturerID, string manufacturerUrlName )
        {
            return String.Empty;
        }
        public virtual string ResolveOutgoingProductUrl( string productID, string productUrlName )
        {
            return String.Empty;
        }

        public virtual string ResolveOutgoingTellFriendUrl( string productUrlName )
        {
            return String.Empty;
        }

        public virtual string ResolveOutgoingCustomerReviewUrl( string productUrlName )
        {
            return String.Empty;
        }

        public virtual string ResolveOutgoingContentUrl( string contentID, string contentUrlName )
        {
            return String.Empty;
        }

        public virtual string ResolveOutgoingContentMenuUrl( string contentMenuItemID, string contentMenuUrlName )
        {
            return String.Empty;
        }
        public virtual string ResolveOutgoingNewsUrl( string newsID, string newsUrlName )
        {
            return String.Empty;
        }
        public virtual string ResolveOutgoingBlogUrl( string blogID, string blogUrlName )
        {
            return String.Empty;
        }

        public virtual string ResolveOutgoingBlogListUrl( string blogListUrlName )
        {
            return String.Empty;
        }

        public virtual string ResolveOutgoingBlogCategoryUrl( string blogCategoryUrlName )
        {
            return String.Empty;
        }

        public virtual string ResolveOutgoingPromotionUrl( string promotionID, string promotionUrlName )
        {
            return String.Empty;
        }    
    }
}
