using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using Vevo.Domain.DataInterfaces;
using Vevo.Domain;
using Vevo.Data;
using Vevo.Shared.DataAccess;
using Vevo.Domain.Configurations;
using Vevo.Base.Data;

namespace Vevo.Data
{
    public class HelpRepositoryNoCache : IHelpRepository
    {
        #region Private
        private const string AllFields = "KeyName, HelpText ";

        private Help CreateOneFromRow(Culture culture, DataRow row )
        {
            Help help = new Help( culture );

            help.KeyName = row["KeyName"].ToString();
            help.HelpText = row["HelpText"].ToString();

            return help;
        }

        #endregion

        #region Public Methods

        public Help GetOne( Culture culture, string keyName )
        {
            DataTable table = DataAccess.ExecuteSelect(
               "SELECT " + AllFields +
               "FROM Help " +
               "WHERE KeyName = @KeyName AND CultureID = @CultureID; ",
               DataAccess.CreateParameterString( keyName ),
               DataAccess.CreateParameterString( RepositoryUtilities.GetCultureID( culture ) ) );

            if (table.Rows.Count > 0)
                return CreateOneFromRow( culture, table.Rows[0] );
            else
                return Help.Null;
        }

        #endregion
    }
}
