﻿using System;
using System.Collections.Generic;
using Vevo.Base.Domain;
using Vevo.Domain.Base;
using Vevo.Domain.Blogs;

namespace Vevo.Domain.DataInterfaces
{
    public interface IBlogCategoryRepository
    {
        BlogCategory Save( BlogCategory blogCategory );
        void Delete( string blogCategoryID );
        void DeleteLocales( string blogCategoryID );
        IList<ILocale> GetLocales( string blogCategoryID );
        void DeleteAll();
        BlogCategory GetOne( Culture culture, string blogCategoryID );
        String GetBlogCategoryIDFromBlogCategoryName( string blogCategoryName );
        String GetBlogCategoryIDFromBlogCategoryURL(string blogCategoryURL);
        String GetBlogCategoryNameFromBlogCategoryURL(string blogCategoryURL);
        IList<BlogCategory> GetAll( Culture culture, BoolFilter isEnabled, string sortBy );
        IList<BlogCategory> GetAll(
            Culture culture,
             string sortBy,
             BoolFilter isEnabled,
             int startIndex,
             int endIndex,
             out int howManyItems );
        IList<TableSchemaItem> GetTableSchema();
        IList<BlogCategory> SearchBlogCategory( Culture culture, string sortBy, SearchFilter searchFilter,
            BoolFilter isActive, out int howManyItems );
        void UpdateSortOrder( string[] sortedBlogCategoryIDs );
        BlogCategory GetOneByUrlName( Culture culture, string urlName );
    }
}
