﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.GoogleFeed
{
    public class GoogleFeedTag : ICloneable
    {
        #region Private

        private string _googleFeedTagID = "0";
        private string _googleFeedTagName = String.Empty;
        private string _googleFeedTagTypeID = "0";
        private string _googleFeedTagTypeName = String.Empty;

        #endregion

        #region Public Constructors

        public GoogleFeedTag()
        {
        }

        #endregion

        #region Public Properties

        public enum GoogleFeedTagType
        { 
            Apparel = 1,
            Variant = 2
        }

        public static GoogleFeedTag Null
        {
            get { return NullGoogleFeedTag.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string GoogleFeedTagID { get { return _googleFeedTagID; } set { _googleFeedTagID = value; } }
        public string TagName { get { return _googleFeedTagName; } set { _googleFeedTagName = value; } }
        public string GoogleFeedTagTypeID { get { return _googleFeedTagTypeID; } set { _googleFeedTagTypeID = value; } }
        public string TagTypeName { get { return _googleFeedTagTypeName; } set { _googleFeedTagTypeName = value; } }

        #endregion

        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            GoogleFeedTag newObject = (GoogleFeedTag) MemberwiseClone();
            return newObject;
        }

        #endregion
        
    }
}
